For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
      • POSTCreate Single Use Token
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
Core ResourcesTokens

Create Single Use Token

POST
/v1/single-use-token/:token_type
POST
/v1/single-use-token/:token_type
$curl -X POST https://api.elevenlabs.io/v1/single-use-token/realtime_scribe
1{
2 "token": "sutkn_1234567890"
3}

Generate a time limited single-use token with embedded authentication for frontend clients.

Was this page helpful?
Previous

Get character usage metrics

Next
Built with

Path parameters

token_typeenumRequired
Allowed values:

Headers

xi-api-keystringOptional

Response

Successful Response
tokenstring
A time bound single use token that expires after 15 minutes. Will be consumed on use.

Errors

422
Unprocessable Entity Error